#include <bits/stdc++.h>
using namespace std;
int snm[1000000];
int get(int a)
{
    if(a==snm[a]) return a;
    snm[a]=get(snm[a]);
    return snm[a];
}
void uni(int a,int b)
{
    a=get(a);b=get(b);
    snm[a]=b;
}
int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int n,m;
    cin >>n>>m;
    if(n==2)
    {
        n=n/(n-n);
        cout<<n;
    }

}
